Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Globale Höhe auswerten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Globale Höhe auswerten (614 mal gelesen)
Dilpschi
Mitglied
Ing. Verfahrenstechnik


Sehen Sie sich das Profil von Dilpschi an!   Senden Sie eine Private Message an Dilpschi  Schreiben Sie einen Gästebucheintrag für Dilpschi

Beiträge: 18
Registriert: 29.04.2013

erstellt am: 06. Mai. 2014 11:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Allerseits,
ich habe ein Bauteil, welches parametergesteuerte ("H_Beine") Stützen hat, welche bis auf die XY-Ebene reichen. Die Stützen sollen sich automatisch nach der Lage im Raum verlängern/verkürzen. Das Ganze funktioniert zwar als selktiertes Bauteil in der Baugruppe mit VBA-Routine:

Sub beine()
mess = False
Dim oApp As Inventor.Application
Set oApp = ThisApplication
Dim sel As SelectSet
Set sel = oApp.ActiveDocument.SelectSet

If sel.Count = 1 Then
    Set sel_me = ThisApplication.ActiveDocument.SelectSet.Item(1)
    Dim para As UserParameters
    Set para = sel_me.Definition.Parameters.UserParameters
    For i = 1 To para.Count
        Select Case para.Item(i).Name
            Case "H_Beine"
                para.Item("H_Beine").Value = sel_me.Transformation.Translation.Z
                mess = True
                Exit For
        End Select
    Next
    If mess = False Then MsgBox "Beinparameter nicht enthalten"
    ThisApplication.ActiveDocument.Update
End If
End Sub


Das muss ich aber erst starten, auf anderen Rechnern einbinden, etc.
Gibt es eine Möglichkeit die Funktionsweise über iLogic Regeln direkt ans Bauteil zu koppeln?

Generell: Kann normaler VBA code in die Regeln geschrieben werden oder gibt es eine eigene Referenz?
Habt Ihr eine Idee, wie man die Funktion am elegantesten auslösen könnte (am Besten wäre ja: ich merke selbst, daß man mich bewegt, also mess ich die Höhe und mache die Stützen so lang..). Oder sollte man das über einen Trigger lösen?

VG Tom

------------------
Einfach mal rechts fahren....

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9589
Registriert: 01.12.2003

AutoCAD 2.5 - 2021,
Inventor AIP 4-2021 Windows 10
i7, 32GB, SSD, QuadroK2000

erstellt am: 06. Mai. 2014 20:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dilpschi 10 Unities + Antwort hilfreich

Ohne Beispielbaugruppe hilft das VBA wenig.
Ja nach Verwendungszweck könnte man auch simple "Adaptivität" benutzen, d.h. Beinlänge richtet sich nach Abstand in der Baugruppe. Dann muss gar nichts programmiert werden.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dilpschi
Mitglied
Ing. Verfahrenstechnik


Sehen Sie sich das Profil von Dilpschi an!   Senden Sie eine Private Message an Dilpschi  Schreiben Sie einen Gästebucheintrag für Dilpschi

Beiträge: 18
Registriert: 29.04.2013

erstellt am: 06. Mai. 2014 21:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Udo,
Du meinst eine Extrusion "bis"? Das wäre mir eigentlich am allerliebsten. Aber ich muss dann doch auch manuell den Bezug zur XY Ebene der Baugruppe herstellen, oder lieg ich da falsch?
Ich hatte ja zuerst gehofft das Ganze einfach mit einer Regel a la iproperties.value=.... zu schaffen.

Werde mal die Beispiel Baugruppe hochladen, schaff das aber erst in ein paar Tagen.

Tom

------------------
Einfach mal rechts fahren....

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Xantes
Ehrenmitglied
 


Sehen Sie sich das Profil von Xantes an!   Senden Sie eine Private Message an Xantes  Schreiben Sie einen Gästebucheintrag für Xantes

Beiträge: 1641
Registriert: 22.07.2001

Intel(R) Xeon(R) CPU E5-1620v2 @3.70GHz
32GB HS
Windows 7 Professional
Quadro K2000D mit drei Monitoren (1x27", 2x21")
2x SSD SATA III 512 GB Premium<P>Inventor 2014 (2015 und weitere in Lauerstellung)

erstellt am: 07. Mai. 2014 16:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dilpschi 10 Unities + Antwort hilfreich

Hallo Dilpschi,

ich kann Deine Logik nicht nachvollziehen. Wenn ich eine Austragung bis auf eine Ebene machen will, in Deinem Fall die XY-Ebene, dann muss ich doch vorher eine Skizierebene definiert haben, von wo aus die Austragung stattfinden soll! Diese Ebene muss doch eine Lage zur XY-Ebene haben mit Abstand ..., was ein Parameter ist, egal, wo er definiert wurde. Parameter kann man exportieren, also durch einen Haken hinten rechts!!
Diesen Parameter benutze ich dann für die Austragung und Dein Bein wächst wie von Geisterhand!!! Wo ist das Problem? Stichwort "Masterskizze"

Gruß, Uwe

[Diese Nachricht wurde von Xantes am 07. Mai. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz